GNU bug report logs - #49295
mumi: mu-debug is unbound in mu-message-send

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Maxime Devos <maximedevos@HIDDEN>; merged with #49968; dated Wed, 30 Jun 2021 15:11:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 49295 49968. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 49295 <at> debbugs.gnu.org:


Received: (at 49295) by debbugs.gnu.org; 17 Aug 2021 22:07:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 17 18:07:54 2021
Received: from localhost ([127.0.0.1]:54366 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mG7FS-0006Bp-Kz
	for submit <at> debbugs.gnu.org; Tue, 17 Aug 2021 18:07:54 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:38070)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mG7FM-0006BN-Fy
 for 49295 <at> debbugs.gnu.org; Tue, 17 Aug 2021 18:07:51 -0400
Received: from ptr-bvsjgyjmffd7q9timvx.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:aaf1:9810:a0b8:a55d])
 by laurent.telenet-ops.be with bizsmtp
 id im7m2500C0mfAB401m7miE; Wed, 18 Aug 2021 00:07:47 +0200
Message-ID: <93b5944e604258145ff800329382806217a278d7.camel@HIDDEN>
Subject: Re: bug#49968: Fwd: issue website creates invalid comment expectations
From: Maxime Devos <maximedevos@HIDDEN>
To: John Kehayias <john.kehayias@HIDDEN>, "49968 <at> debbugs.gnu.org"
 <49968 <at> debbugs.gnu.org>, 49295 <at> debbugs.gnu.org
Date: Wed, 18 Aug 2021 00:07:35 +0200
In-Reply-To: <p2AOQOo0Zs-NpZBBMmpELaWOBPmNHErH8WwXejMXAQmQ-hbgq1B8Edw1Xv715Ba_jJOdvnuvbZVxEYtTohjXEUY64GcSZ1O0Aw7a-5GUpEE=@protonmail.com>
References: <CAOhKva2gNhs+fZy=ngb06bn51dTH8JvL4DLe-Ks5A+MPd71cpw@HIDDEN>
 <p2AOQOo0Zs-NpZBBMmpELaWOBPmNHErH8WwXejMXAQmQ-hbgq1B8Edw1Xv715Ba_jJOdvnuvbZVxEYtTohjXEUY64GcSZ1O0Aw7a-5GUpEE=@protonmail.com>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-ZEYK3AFXno1BLpYuTEIG"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1629238067; bh=biSJUfZGakf20XcjVfwxKe7p2/zY27QpuNLsKIlh7a4=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=ApYxMc1dx0QQTDvFZa2csGlTHvwFkfMGJLYkOIEeojvw5UTA7JxFy3lh+g4igq4ND
 4hDNy/mxhkmnBjHficJ5c35sa8xlicdo/dkfLPm8/myf95pqRE6GjFZhUXHLOHTG93
 YSlEirsl14De7yHqFeshfgH+BoC7aq0BEqHIG46vibn6yODyh3sJv/uIBcidk06+GJ
 fGtwFHDoriQibLM2y2GwcC7HUMBvim4+Wq+QrNsDXUNBhoX29m4t5UCv7v/3jfhEjZ
 JQu1zITsr3W38ieuAx5dhLiIwj4eO63vWOyQJa1t/hCO0b9qwUm2UI8s+ire2/crCw
 NH+/5zF8ac06g==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49295
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-ZEYK3AFXno1BLpYuTEIG
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

John Kehayias via Bug reports for GNU Guix schreef op di 10-08-2021 om 17:4=
6 [+0000]:
> Hi Maxime,
>=20
> I took a quick look, but I'm not seeing how the proposed fix works: there=
 is already
> that line for defining mu-debug in the only file that uses mu-message-sen=
d...?
> (Perhaps this should be sent to that original issue, I can send it again =
there if that
> is helpful.)

=E2=80=98the current module=E2=80=99 is whatever (current-module) evaluates=
 to.
It is not necessarily the module wherein 'mu-message-send' is used.
IIUC, every time a (define-module ([...])) form is encountered,
(current-module) is set to [...], or something like that (details
might be a little different).  It works for stand-alone scripts and
in the REPL I guess, but otherwise it's a very cumbersome interface.

This interface should be changed (in mailutils) IMO.

>=20
> If there is not a relatively quick fix, I would vote for disabling the co=
mment
> submission until it can be fixed. Otherwise, we're losing comments with n=
o indication
> to the submitter.

nckx has done that recently.  Pages on <https://issues.guix.gnu.org/NNN>
now end with =E2=80=98Commenting via the web interface is currently disable=
d.=E2=80=99.

Greetings,
Ma

--=-ZEYK3AFXno1BLpYuTEIG
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYRwzJxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7oNAAPwLpdr8KUfRd5KppISaepG80WGu
uYWUmcVA4E5ZG+VaDwD/UfRAvdbPkmLPmbUqwr2aJfWtulRnfDZ3u0/DVBk+fQQ=
=ql7V
-----END PGP SIGNATURE-----

--=-ZEYK3AFXno1BLpYuTEIG--





Information forwarded to bug-guix@HIDDEN:
bug#49295; Package guix. Full text available.

Message received at 49295 <at> debbugs.gnu.org:


Received: (at 49295) by debbugs.gnu.org; 9 Jul 2021 09:41:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 09 05:41:02 2021
Received: from localhost ([127.0.0.1]:58377 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m1n0I-0004Y2-3v
	for submit <at> debbugs.gnu.org; Fri, 09 Jul 2021 05:41:02 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52328)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1m1n0F-0004XY-2x
 for 49295 <at> debbugs.gnu.org; Fri, 09 Jul 2021 05:41:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46464)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1m1n09-0002hM-5B; Fri, 09 Jul 2021 05:40:53 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=36686 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1m1n08-00080d-TN; Fri, 09 Jul 2021 05:40:53 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#49295: mumi: mu-debug is unbound in mu-message-send
References: <3eac711a3ecf6ddfb0d2c796e7c203f17b1bcd09.camel@HIDDEN>
Date: Fri, 09 Jul 2021 11:40:51 +0200
In-Reply-To: <3eac711a3ecf6ddfb0d2c796e7c203f17b1bcd09.camel@HIDDEN>
 (Maxime Devos's message of "Wed, 30 Jun 2021 17:09:59 +0200")
Message-ID: <878s2fj04c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49295
Cc: 49295 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Maxime Devos <maximedevos@HIDDEN> skribis:

> ERROR: In procedure mu-message-send:
> In procedure module-lookup: Unbound variable: mu-debug
> processing
>   job: mail:162506283631699
>   options: ((from . "Maxime Devos") (subject . "[PATCH] isc-dhcp: Fix dhc=
lient-script wrapper when cross-compiling.") (to . "49293 <at> debbugs.gnu.org")=
 (text . "I forgot to note that I don't have an
> aarch64-linux-gnu system to test this on. But I did verify the interprete=
r had the right architecture."))
> Backtrace:
>            3 (primitive-load "/gnu/store/j80xdprnwwcslyq8gnj34jmymid=E2=
=80=A6")
> In mumi/jobs.scm:
>    147:19  2 (worker-loop _)
>    114:18  1 (process-next #<procedure 7efc2c1e1c80 at mumi/jobs.scm=E2=
=80=A6>)
> In unknown file:
>            0 (mu-message-send #<message "issues.guix.gnu.org@elephl=E2=80=
=A6> =E2=80=A6)
> ---- mumi.mailer.log.zst
> ERROR: In procedure mu-message-send:
> In procedure module-lookup: Unbound variable: mu-debug

When playing with the Guile interface of Mailutils, I remember you had
to define that variable because =E2=80=98mu-message-send=E2=80=99 would loo=
k it up in
the current module (argh!):

  ;; This variable is looked up by 'mu-message-send', uh!
  (define-public mu-debug 0)

So I guess you can try adding this snippet in the module that uses
=E2=80=98mu-message-send=E2=80=99 (?).

HTH!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#49295; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jun 2021 15:10:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 30 11:10:17 2021
Received: from localhost ([127.0.0.1]:58459 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lybqz-00050m-AG
	for submit <at> debbugs.gnu.org; Wed, 30 Jun 2021 11:10:17 -0400
Received: from lists.gnu.org ([209.51.188.17]:44770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1lybqx-00050f-Ci
 for submit <at> debbugs.gnu.org; Wed, 30 Jun 2021 11:10:15 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59958)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <maximedevos@HIDDEN>)
 id 1lybqx-0004j8-7z
 for bug-guix@HIDDEN; Wed, 30 Jun 2021 11:10:15 -0400
Received: from xavier.telenet-ops.be ([2a02:1800:120:4::f00:14]:36018)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <maximedevos@HIDDEN>)
 id 1lybqu-0006gz-05
 for bug-guix@HIDDEN; Wed, 30 Jun 2021 11:10:14 -0400
Received: from butterfly.local ([188.189.254.236])
 by xavier.telenet-ops.be with bizsmtp
 id PTA72500R56nx8C01TA8Pc; Wed, 30 Jun 2021 17:10:08 +0200
Message-ID: <3eac711a3ecf6ddfb0d2c796e7c203f17b1bcd09.camel@HIDDEN>
Subject: mumi: mu-debug is unbound in mu-message-send
From: Maxime Devos <maximedevos@HIDDEN>
To: bug-guix@HIDDEN
Date: Wed, 30 Jun 2021 17:09:59 +0200
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-tdHke8AiQTLKL+4k39gU"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1625065808; bh=Pf2CPagtpgkPN2KnUaJ7ndzsLU5viRPzpu1u9a2GVpQ=;
 h=Subject:From:To:Date;
 b=ct6WdLmEdNYK4ikZ1fscjBqXhE0+okvwgtxoNPRNepGfepUCZqrz7C/OaVxHpdpEk
 oj+KV7ay5TWP7Ol6O8jojCt1D4aTH8SUC9DqoVVsJ22pKfVSQq/mB3I6DipgjcoIXM
 Jt19tzn1JaN1RU9sT1Ig/lzEjgfLlYzUE3TP6sVdlCuItgY+9sCmsdp1DLIbVvFYRH
 0GtUPcuDqXmMSLsk1rCcKx7X6jX/rsRbe4UFuTsHEP8MkAsKR2O8DC346LGEDUHFIm
 65XlzjKmPbIRK/KEwuxupQRa7MoW3aVt78yZAoLI7MCdn7IAQ9GFqaq4tWDIRjNvU/
 kQeIeh4X9kLVA==
Received-SPF: pass client-ip=2a02:1800:120:4::f00:14;
 envelope-from=maximedevos@HIDDEN; helo=xavier.telenet-ops.be
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--=-tdHke8AiQTLKL+4k39gU
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi guix,

Here is a backtrace from mumi.log.zst and mumi.mailer.log.zst.
This lead to a 500.

---- mumi.log.zst
ERROR: In procedure mu-message-send:
In procedure module-lookup: Unbound variable: mu-debug
processing
  job: mail:162506283631699
  options: ((from . "Maxime Devos") (subject . "[PATCH] isc-dhcp: Fix dhcli=
ent-script wrapper when cross-compiling.") (to . "49293 <at> debbugs.gnu.org") (=
text . "I forgot to note that I don't have an
aarch64-linux-gnu system to test this on. But I did verify the interpreter =
had the right architecture."))
Backtrace:
           3 (primitive-load "/gnu/store/j80xdprnwwcslyq8gnj34jmymid=E2=80=
=A6")
In mumi/jobs.scm:
   147:19  2 (worker-loop _)
   114:18  1 (process-next #<procedure 7efc2c1e1c80 at mumi/jobs.scm=E2=80=
=A6>)
In unknown file:
           0 (mu-message-send #<message "issues.guix.gnu.org@elephl=E2=80=
=A6> =E2=80=A6)
---- mumi.mailer.log.zst
ERROR: In procedure mu-message-send:
In procedure module-lookup: Unbound variable: mu-debug
processing
  job: mail:162506283631699
  options: ((from . "Maxime Devos") (subject . "[PATCH] isc-dhcp: Fix dhcli=
ent-script wrapper when cross-compiling.") (to . "49293 <at> debbugs.gnu.org") (=
text . "I forgot to note that I don't have an
aarch64-linux-gnu system to test this on. But I did verify the interpreter =
had the right architecture."))
Backtrace:
           3 (primitive-load "/gnu/store/j80xdprnwwcslyq8gnj34jmymid=E2=80=
=A6")
In mumi/jobs.scm:
   147:19  2 (worker-loop _)
   114:18  1 (process-next #<procedure 7efc2c1e1c80 at mumi/jobs.scm=E2=80=
=A6>)
In unknown file:
           0 (mu-message-send #<message "issues.guix.gnu.org@elephl=E2=80=
=A6> =E2=80=A6)

Greetings,
Maxime.

--=-tdHke8AiQTLKL+4k39gU
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYNyJRxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7gpZAP9JZ2K1qMi4qSeNnZOFO6oQsz1t
pxAc3Uels908YMYneAEAgTbUyf6PADl+jhX/ltxQrXtrkpZSjtLLXTzrVV1ekww=
=JnF8
-----END PGP SIGNATURE-----

--=-tdHke8AiQTLKL+4k39gU--





Acknowledgement sent to Maxime Devos <maximedevos@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#49295; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 1 Sep 2021 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.